## krita 4.1.5+dfsg

=== debian/changelog ===
krita (1:4.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Oct 2018 21:56:28 +0200

krita (1:4.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-build-with-dcraw-0.19.patch: drop, backported from upstream
    - upstream_desktop-use-F-instead-of-U.patch: drop, backported from upstream
    - upstream_desktop-use-f-F-instead-of-u-U-part-2.patch: drop, backported
      from upstream
    - upstream_Always-use-the-same-sipname-as-PyQt.patch: drop, backported
      from upstream
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Sep 2018 23:05:19 +0200

krita (1:4.1.1+dfsg-2) unstable; urgency=medium

  * Backport upstream commit 3b7d0f2cbf66b06e12c57be26b262b71d8030d1a to fix
    build with libraw >= 0.19; patch upstream_Fix-build-with-dcraw-0.19.patch.
    (Closes: #905032)
  * Backport upstream commits 08a64c2c0cb00fecb96ead7f4dd05e22595e74d1, and
    9042d92c5b508c24ffbcdd6b1201910d63f6af43 to use the %F placeholder instead
    of %U in desktop files; patches upstream_desktop-use-F-instead-of-U.patch,
    and upstream_desktop-use-f-F-instead-of-u-U-part-2.patch. (Closes: #905629)
  * Backport upstream commit 5c084e2439b390fa873e7d107f8ba8ba071971ef to fix
    the detection of PyQt' sipname; patch
    upstream_Always-use-the-same-sipname-as-PyQt.patch.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 08:46:45 +0200

krita (1:4.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 18 Jul 2018 10:28:10 +0200

krita (1:4.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add the libheif-dev build dependency for the new HEIF plugin.
  * Switch dh_missing from --list-missing to --fail-missing.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Jun 2018 20:13:42 +0200

krita (1:4.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - loads correctly the Python library, making the Python scripting usable
      (Closes: #896098)
  * Update copyright.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Jun 2018 00:40:01 +0200

krita (1:4.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 13 May 2018 08:37:30 +0200

krita (1:4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 11 May 2018 07:44:00 +0200

krita (1:4.0.1+dfsg-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add build dependencies for new features: libgif-dev, pyqt5-dev,
    python3-dev, python3-pyqt5, python3-sip-dev, and qtdeclarative5-dev.
  * Update install files.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --list-missing.
  * Bump Standards-Version to 4.1.4, no changes required.

  [ Rik Mills ]
  * Add additional runtime python and QtMultimedia deps, as requested by
    Krita developers

 -- Pino Toscano <pino@debian.org>  Sat, 14 Apr 2018 09:41:21 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0),
               gettext,
               libboost-system-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.7.0),
               libkf5config-dev (>= 5.7.0),
               libkf5coreaddons-dev (>= 5.7.0),
               libkf5crash-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.7.0),
               libkf5windowsystem-dev (>= 5.7.0),
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-desktop-dev,
               libqt5svg5-dev (>= 5.6.0),
               libqt5x11extras5-dev (>= 5.6.0),
               libraw-dev,
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.6.0),
               qtdeclarative5-dev (>= 5.6.0),
               qtmultimedia5-dev (>= 5.6.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-sip, python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Breaks: ${krita:oldLangs}
Replaces: ${krita:oldLangs}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 4.1.7+dfsg

=== libs/ui/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/qtlockedfile
    ${EXIV2_INCLUDE_DIR}
)

include_directories(SYSTEM
    ${EIGEN3_INCLUDE_DIR}
    ${OCIO_INCLUDE_DIR}
)

add_subdirectory( tests )

if (APPLE)
    find_library(FOUNDATION_LIBRARY Foundation)
    find_library(APPKIT_LIBRARY AppKit)
endif ()

set(kritaui_LIB_SRCS
    canvas/kis_canvas_widget_base.cpp
    canvas/kis_canvas2.cpp
    canvas/kis_canvas_updates_compressor.cpp
    canvas/kis_canvas_controller.cpp
    canvas/kis_paintop_transformation_connector.cpp
    canvas/kis_display_color_converter.cpp
    canvas/kis_display_filter.cpp
    canvas/kis_exposure_gamma_correction_interface.cpp
    canvas/kis_tool_proxy.cpp
    canvas/kis_canvas_decoration.cc
    canvas/kis_coordinates_converter.cpp
    canvas/kis_grid_manager.cpp
    canvas/kis_grid_decoration.cpp
    canvas/kis_grid_config.cpp
    canvas/kis_prescaled_projection.cpp
    canvas/kis_qpainter_canvas.cpp
    canvas/kis_projection_backend.cpp
    canvas/kis_update_info.cpp
    canvas/kis_image_patch.cpp
    canvas/kis_image_pyramid.cpp
    canvas/kis_infinity_manager.cpp
    canvas/kis_change_guides_command.cpp
    canvas/kis_guides_decoration.cpp
    canvas/kis_guides_manager.cpp
    canvas/kis_guides_config.cpp
    canvas/kis_snap_config.cpp
    canvas/kis_snap_line_strategy.cpp
    canvas/KisSnapPointStrategy.cpp
    dialogs/kis_about_application.cpp
    dialogs/kis_dlg_adj_layer_props.cc
    dialogs/kis_dlg_adjustment_layer.cc
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_generator_layer.cpp
    dialogs/kis_dlg_file_layer.cpp
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_stroke_selection_properties.cpp
    dialogs/kis_dlg_image_properties.cc
    dialogs/kis_dlg_layer_properties.cc
    dialogs/kis_dlg_preferences.cc
    dialogs/slider_and_spin_box_sync.cpp
    dialogs/kis_dlg_blacklist_cleanup.cpp
    dialogs/kis_dlg_layer_style.cpp
    dialogs/kis_dlg_png_import.cpp
    dialogs/kis_dlg_import_image_sequence.cpp
    dialogs/kis_delayed_save_dialog.cpp
    dialogs/kis_dlg_internal_color_selector.cpp
    dialogs/KisSessionManagerDialog.cpp
    dialogs/KisNewWindowLayoutDialog.cpp
    flake/kis_node_dummies_graph.cpp
    flake/kis_dummies_facade_base.cpp
    flake/kis_dummies_facade.cpp
    flake/kis_node_shapes_graph.cpp
    flake/kis_node_shape.cpp
    flake/kis_shape_controller.cpp
    flake/kis_shape_layer.cc
    flake/kis_shape_layer_canvas.cpp
    flake/kis_shape_selection.cpp
    flake/kis_shape_selection_canvas.cpp
    flake/kis_shape_selection_model.cpp
    flake/kis_take_all_shapes_command.cpp
    brushhud/kis_uniform_paintop_property_widget.cpp
    brushhud/kis_brush_hud.cpp
    brushhud/kis_round_hud_button.cpp
    brushhud/kis_dlg_brush_hud_config.cpp
    brushhud/kis_brush_hud_properties_list.cpp
    brushhud/kis_brush_hud_properties_config.cpp
    kis_aspect_ratio_locker.cpp
    kis_autogradient.cc
    kis_bookmarked_configurations_editor.cc
    kis_bookmarked_configurations_model.cc
    kis_bookmarked_filter_configurations_model.cc
    KisPaintopPropertiesBase.cpp
    kis_canvas_resource_provider.cpp
    kis_derived_resources.cpp
    kis_categories_mapper.cpp
    kis_categorized_list_model.cpp
    kis_categorized_item_delegate.cpp
    kis_clipboard.cc
    kis_config.cc
    kis_config_notifier.cpp
    kis_control_frame.cpp
    kis_composite_ops_model.cc
    kis_paint_ops_model.cpp
    kis_cursor.cc
    kis_cursor_cache.cpp
    kis_custom_pattern.cc
    kis_file_layer.cpp
    kis_change_file_layer_command.h
    kis_safe_document_loader.cpp
    kis_splash_screen.cpp
    kis_filter_manager.cc
    kis_filters_model.cc
    kis_histogram_view.cc
    KisImageBarrierLockerWithFeedback.cpp
    kis_image_manager.cc
    kis_image_view_converter.cpp
    kis_import_catcher.cc
    kis_layer_manager.cc
    kis_mask_manager.cc
    kis_mimedata.cpp
    kis_node_commands_adapter.cpp
    kis_node_manager.cpp
    kis_node_juggler_compressed.cpp
    kis_node_selection_adapter.cpp
    kis_node_insertion_adapter.cpp
    kis_node_model.cpp
    kis_node_filter_proxy_model.cpp
    kis_model_index_converter_base.cpp
    kis_model_index_converter.cpp
    kis_model_index_converter_show_all.cpp
    kis_painting_assistant.cc
    kis_painting_assistants_decoration.cpp
    KisDecorationsManager.cpp
    kis_paintop_box.cc
    kis_paintop_option.cpp
    kis_paintop_options_model.cpp
    kis_paintop_settings_widget.cpp
    kis_popup_palette.cpp
    kis_png_converter.cpp
    kis_preference_set_registry.cpp
    KisResourceServerProvider.cpp
    KisResourceBundleServerProvider.cpp
    KisSelectedShapesProxy.cpp
    kis_selection_decoration.cc
    kis_selection_manager.cc
    kis_statusbar.cc
    kis_zoom_manager.cc
    kis_favorite_resource_manager.cpp
    kis_workspace_resource.cpp
    kis_action.cpp
    kis_action_manager.cpp
    KisActionPlugin.cpp
    kis_canvas_controls_manager.cpp
    kis_tooltip_manager.cpp
    kis_multinode_property.cpp
    kis_stopgradient_editor.cpp
    widgets/KisWelcomePageWidget.cpp
    
    kisexiv2/kis_exif_io.cpp
    kisexiv2/kis_exiv2.cpp
    kisexiv2/kis_iptc_io.cpp
    kisexiv2/kis_xmp_io.cpp
    
    opengl/kis_opengl.cpp
    opengl/kis_opengl_canvas2.cpp
    opengl/kis_opengl_canvas_debugger.cpp
    opengl/kis_opengl_image_textures.cpp
    opengl/kis_texture_tile.cpp
    opengl/kis_opengl_shader_loader.cpp
    opengl/kis_texture_tile_info_pool.cpp
    opengl/KisOpenGLUpdateInfoBuilder.cpp
    kis_fps_decoration.cpp
    tool/KisToolChangesTracker.cpp
    tool/KisToolChangesTrackerData.cpp
    tool/kis_selection_tool_helper.cpp
    tool/kis_selection_tool_config_widget_helper.cpp
    tool/kis_rectangle_constraint_widget.cpp
    tool/kis_shape_tool_helper.cpp
    tool/kis_tool.cc
    tool/kis_delegated_tool_policies.cpp
    tool/kis_tool_freehand.cc
    tool/kis_speed_smoother.cpp
    tool/kis_painting_information_builder.cpp
    tool/kis_stabilized_events_sampler.cpp
    tool/kis_tool_freehand_helper.cpp
    tool/kis_tool_multihand_helper.cpp
    tool/kis_figure_painting_tool_helper.cpp
    tool/kis_tool_paint.cc
    tool/kis_tool_shape.cc
    tool/kis_tool_ellipse_base.cpp
    tool/kis_tool_rectangle_base.cpp
    tool/kis_tool_polyline_base.cpp
    tool/kis_tool_utils.cpp
    tool/kis_resources_snapshot.cpp
    tool/kis_smoothing_options.cpp
    tool/KisStabilizerDelayedPaintHelper.cpp
    tool/KisStrokeSpeedMonitor.cpp
    tool/strokes/freehand_stroke.cpp
    tool/strokes/KisStrokeEfficiencyMeasurer.cpp
    tool/strokes/kis_painter_based_stroke_strategy.cpp
    tool/strokes/kis_filter_stroke_strategy.cpp
    tool/strokes/kis_color_picker_stroke_strategy.cpp
    tool/strokes/KisFreehandStrokeInfo.cpp
    tool/strokes/KisMaskedFreehandStrokePainter.cpp
    tool/strokes/KisMaskingBrushRenderer.cpp
    tool/strokes/KisMaskingBrushCompositeOpFactory.cpp

    widgets/kis_cmb_composite.cc
    widgets/kis_cmb_contour.cpp
    widgets/kis_cmb_gradient.cpp
    widgets/kis_paintop_list_widget.cpp
    widgets/kis_cmb_idlist.cc
    widgets/kis_color_space_selector.cc
    widgets/kis_advanced_color_space_selector.cc
    widgets/kis_cie_tongue_widget.cpp
    widgets/kis_tone_curve_widget.cpp
    widgets/kis_curve_widget.cpp
    widgets/kis_custom_image_widget.cc
    widgets/kis_image_from_clipboard_widget.cpp
    widgets/kis_double_widget.cc
    widgets/kis_filter_selector_widget.cc
    widgets/kis_gradient_chooser.cc
    widgets/kis_iconwidget.cc
    widgets/kis_mask_widgets.cpp
    widgets/kis_meta_data_merge_strategy_chooser_widget.cc
    widgets/kis_multi_bool_filter_widget.cc
    widgets/kis_multi_double_filter_widget.cc
    widgets/kis_multi_integer_filter_widget.cc
    widgets/kis_multipliers_double_slider_spinbox.cpp
    widgets/kis_paintop_presets_popup.cpp
    widgets/kis_tool_options_popup.cpp
    widgets/kis_paintop_presets_chooser_popup.cpp
    widgets/kis_paintop_presets_save.cpp
    widgets/kis_paintop_preset_icon_library.cpp
    widgets/kis_pattern_chooser.cc

    widgets/kis_popup_button.cc
    widgets/kis_preset_chooser.cpp
    widgets/kis_progress_widget.cpp
    widgets/kis_selection_options.cc
    widgets/kis_scratch_pad.cpp
    widgets/kis_scratch_pad_event_filter.cpp
    widgets/kis_preset_selector_strip.cpp
    widgets/kis_slider_spin_box.cpp
    widgets/KisSelectionPropertySlider.cpp
    widgets/kis_size_group.cpp
    widgets/kis_size_group_p.cpp
    widgets/kis_wdg_generator.cpp
    widgets/kis_workspace_chooser.cpp
    widgets/kis_categorized_list_view.cpp
    widgets/kis_widget_chooser.cpp
    widgets/kis_tool_button.cpp
    widgets/kis_floating_message.cpp
    widgets/kis_lod_availability_widget.cpp
    widgets/kis_color_label_selector_widget.cpp
    widgets/kis_color_filter_combo.cpp
    widgets/kis_elided_label.cpp
    widgets/kis_stopgradient_slider_widget.cpp
    widgets/kis_spinbox_color_selector.cpp
    widgets/kis_screen_color_picker.cpp
    widgets/kis_preset_live_preview_view.cpp
    widgets/KoDualColorButton.cpp
    widgets/kis_color_input.cpp
    widgets/kis_color_button.cpp
    widgets/KisVisualColorSelector.cpp
    widgets/KisVisualColorSelectorShape.cpp
    widgets/KisVisualEllipticalSelectorShape.cpp
    widgets/KisVisualRectangleSelectorShape.cpp
    widgets/KisVisualTriangleSelectorShape.cpp
    widgets/KoStrokeConfigWidget.cpp
    widgets/KoFillConfigWidget.cpp

    utils/kis_document_aware_spin_box_unit_manager.cpp

    input/kis_input_manager.cpp
    input/kis_input_manager_p.cpp
    input/kis_extended_modifiers_mapper.cpp
    input/kis_abstract_input_action.cpp
    input/kis_tool_invocation_action.cpp
    input/kis_pan_action.cpp
    input/kis_alternate_invocation_action.cpp
    input/kis_rotate_canvas_action.cpp
    input/kis_zoom_action.cpp
    input/kis_change_frame_action.cpp
    input/kis_gamma_exposure_action.cpp
    input/kis_show_palette_action.cpp
    input/kis_change_primary_setting_action.cpp
    input/kis_abstract_shortcut.cpp
    input/kis_native_gesture_shortcut.cpp
    input/kis_single_action_shortcut.cpp
    input/kis_stroke_shortcut.cpp
    input/kis_shortcut_matcher.cpp
    input/kis_select_layer_action.cpp
    input/KisQtWidgetsTweaker.cpp
    input/KisInputActionGroup.cpp

    operations/kis_operation.cpp
    operations/kis_operation_configuration.cpp
    operations/kis_operation_registry.cpp
    operations/kis_operation_ui_factory.cpp
    operations/kis_operation_ui_widget.cpp
    operations/kis_filter_selection_operation.cpp
    actions/kis_selection_action_factories.cpp
    actions/KisPasteActionFactory.cpp
    input/kis_touch_shortcut.cpp
    kis_document_undo_store.cpp
    kis_transaction_based_command.cpp
    kis_gui_context_command.cpp
    kis_gui_context_command_p.cpp
    input/kis_tablet_debugger.cpp
    input/kis_input_profile_manager.cpp
    input/kis_input_profile.cpp
    input/kis_shortcut_configuration.cpp
    input/config/kis_input_configuration_page.cpp
    input/config/kis_edit_profiles_dialog.cpp
    input/config/kis_input_profile_model.cpp
    input/config/kis_input_configuration_page_item.cpp
    input/config/kis_action_shortcuts_model.cpp
    input/config/kis_input_type_delegate.cpp
    input/config/kis_input_mode_delegate.cpp
    input/config/kis_input_button.cpp
    input/config/kis_input_editor_delegate.cpp
    input/config/kis_mouse_input_editor.cpp
    input/config/kis_wheel_input_editor.cpp
    input/config/kis_key_input_editor.cpp
    processing/fill_processing_visitor.cpp
    kis_asl_layer_style_serializer.cpp
    kis_psd_layer_style_resource.cpp
    canvas/kis_mirror_axis.cpp

    kis_abstract_perspective_grid.cpp
    
    KisApplication.cpp
    KisAutoSaveRecoveryDialog.cpp
    KisDetailsPane.cpp
    KisDocument.cpp
    KisCloneDocumentStroke.cpp
    KisNodeDelegate.cpp
    kis_node_view_visibility_delegate.cpp
    KisNodeToolTip.cpp
    KisNodeView.cpp
    kis_node_view_color_scheme.cpp
    KisImportExportFilter.cpp
    KisFilterEntry.cpp
    KisImportExportManager.cpp
    KisImportExportUtils.cpp
    kis_async_action_feedback.cpp

=== debian/changelog ===
krita (1:4.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the libkf5kio-dev build dependency, no more used.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Dec 2018 16:30:39 +0100

## krita 4.1.7.1%2Bdfsg%2Brb2

=== libs/widgets/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data/")
add_definitions(-DFILES_OUTPUT_DIR="${CMAKE_CURRENT_BINARY_DIR}")

#add_subdirectory(filedialogtester)

include(ECMAddTests)
include(KritaAddBrokenUnitTest)

ecm_add_tests(
    zoomhandler_test.cpp
    zoomcontroller_test.cpp
    squeezedcombobox_test.cpp 
    KoResourceTaggingTest.cpp
    kis_parse_spin_boxes_test.cpp
    KoAnchorSelectionWidgetTest.cpp
    NAME_PREFIX "libs-widgets-"
    LINK_LIBRARIES kritawidgets Qt5::Test)

=== libs/widgetutils/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories (
    ${CMAKE_SOURCE_DIR}/libs/widgetutils
    ${CMAKE_SOURCE_DIR}/sdk/tests
)

include(ECMAddTests)

ecm_add_tests(
    KoPropertiesTest.cpp
    NAME_PREFIX "libs-widgetutils-"
    LINK_LIBRARIES kritawidgetutils Qt5::Test
)

# FIXME this test should be in the ui directory
ecm_add_test(
    kis_simple_math_parser_test.cpp
    TEST_NAME krita-ui-KisSimpleMathParserTest
    LINK_LIBRARIES kritaui Qt5::Test)

ecm_add_test(
    TestKoProgressUpdater.cpp
    TEST_NAME TestKoProgressUpdater
    LINK_LIBRARIES kritaui Qt5::Test)

ecm_add_test(
    KisActionsSnapshotTest.cpp
    NAME_PREFIX "libs-widgetutils-"
    LINK_LIBRARIES kritawidgetutils Qt5::Test)

=== plugins/impex/heightmap/CMakeLists.txt ===
add_subdirectory(tests)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

set(kritaheightmapimport_SOURCES
    kis_heightmap_import.cpp
    kis_wdg_options_heightmap.cpp
    kis_heightmap_utils.cpp
    )

ki18n_wrap_ui(kritaheightmapimport_SOURCES kis_wdg_options_heightmap.ui )

add_library(kritaheightmapimport MODULE ${kritaheightmapimport_SOURCES})

target_link_libraries(kritaheightmapimport kritaui )

install(TARGETS kritaheightmapimport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

set(kritaheightmapexport_SOURCES
    kis_heightmap_export.cpp
    kis_wdg_options_heightmap.cpp
    kis_heightmap_utils.cpp
    )

ki18n_wrap_ui(kritaheightmapexport_SOURCES kis_wdg_options_heightmap.ui )

add_library(kritaheightmapexport MODULE ${kritaheightmapexport_SOURCES})

target_link_libraries(kritaheightmapexport kritaui kritaimpex)

install(TARGETS kritaheightmapexport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( PROGRAMS  krita_heightmap.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== plugins/paintops/gridbrush/CMakeLists.txt ===
set(kritagridpaintop_SOURCES
    grid_paintop_plugin.cpp
    kis_grid_paintop.cpp
    kis_gridop_option.cpp
    kis_grid_shape_option.cpp
    kis_grid_paintop_settings.cpp
    kis_grid_paintop_settings_widget.cpp
    )

ki18n_wrap_ui(kritagridpaintop_SOURCES wdggridoptions.ui wdggridbrushshapeoptions.ui )

add_library(kritagridpaintop MODULE ${kritagridpaintop_SOURCES})

target_link_libraries(kritagridpaintop kritalibpaintop)

install(TARGETS kritagridpaintop  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES
    krita-grid.png DESTINATION ${DATA_INSTALL_DIR}/krita/images)

=== plugins/color/lcms2engine/tests/CMakeLists.txt ===
add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data/")

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ../colorspaces/cmyk_u16
    ../colorspaces/cmyk_u8
    ../colorspaces/gray_u16
    ../colorspaces/gray_u8
    ../colorspaces/lab_u16
    ../colorspaces/rgb_u16
    ../colorspaces/rgb_u8
    ../colorspaces/xyz_u16
    ../colorprofiles
    ..
)
if(OPENEXR_FOUND)
    include_directories(SYSTEM ${OPENEXR_INCLUDE_DIR})
endif()
include_directories( ${LCMS2_INCLUDE_DIR} )


if(MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif()


ecm_add_tests(
    TestKoLcmsColorProfile.cpp
    TestKoColorSpaceRegistry.cpp
    NAME_PREFIX "plugins-lcmsengine-"
    LINK_LIBRARIES kritawidgets kritapigment KF5::I18n Qt5::Test ${LCMS2_LIBRARIES})

=== plugins/tools/karbonplugins/tools/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/filterEffectTool
)

########### next target ###############

set(karbon_tools_SOURCES
   KarbonToolsPlugin.cpp
   KarbonCursor.cpp
   CalligraphyTool/KarbonCalligraphyTool.cpp
   CalligraphyTool/KarbonCalligraphyOptionWidget.cpp
   CalligraphyTool/KarbonCalligraphyToolFactory.cpp
   CalligraphyTool/KarbonCalligraphicShape.cpp
   CalligraphyTool/KarbonCalligraphicShapeFactory.cpp
   CalligraphyTool/KarbonSimplifyPath.cpp
   KarbonPatternTool.cpp
   KarbonPatternToolFactory.cpp
   KarbonPatternEditStrategy.cpp
   filterEffectTool/KarbonFilterEffectsTool.cpp
   filterEffectTool/KarbonFilterEffectsToolFactory.cpp
   filterEffectTool/FilterEffectEditWidget.cpp
   filterEffectTool/FilterEffectScene.cpp
   filterEffectTool/FilterEffectSceneItems.cpp
   filterEffectTool/FilterInputChangeCommand.cpp
   filterEffectTool/FilterAddCommand.cpp
   filterEffectTool/FilterRemoveCommand.cpp
   filterEffectTool/FilterStackSetCommand.cpp
   filterEffectTool/FilterRegionChangeCommand.cpp
   filterEffectTool/FilterEffectResource.cpp
   filterEffectTool/FilterResourceServerProvider.cpp
   filterEffectTool/FilterRegionEditStrategy.cpp
    KarbonPatternOptionsWidget.cpp
)

ki18n_wrap_ui(karbon_tools_SOURCES
    filterEffectTool/FilterEffectEditWidget.ui
    KarbonPatternOptionsWidget.ui
)

qt5_add_resources(karbon_tools_SOURCES karbontools.qrc)

add_library(krita_karbontools MODULE ${karbon_tools_SOURCES})

target_link_libraries(krita_karbontools kritaui kritawidgets KF5::Completion)

install(TARGETS krita_karbontools DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
